Create or Refresh Sandbox
Create a new sandbox for the currently authenticated Vault. Providing a name which already exists will refresh the existing sandbox Vault.
POST
/api/{version}/objects/sandboxHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/x-www-form-urlencoded |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
type | The type of sandbox, such as config. |
domain | The domain to use for the new sandbox. Must be a valid domain. You can retrieve valid domains from the Retrieve Domains endpoint. Only domains of type: Sandbox are allowed. Must be lower-case, and must include the domain extension. |
name | The name of the sandbox Vault, which appears on the My Vaults page. Providing a new name creates a new sandbox, whereas providing an existing name refreshes the existing sandbox. Note that you can only refresh sandboxes once every 24 hours. |
add_requester | Optional: This boolean field adds the currently authenticated user as a Vault Owner in the new sandbox. If set to false, the Domain Admin users in the sandbox domain will become Vault Owners in the sandbox Vault. If omitted, defaults to true. |
release | Optional: The type of release. This can be general, limited, or prerelease. If omitted, defaults to the release level of the source Vault. Learn more about Vault releases in Vault Help |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "type=config" \
-d "domain=veepharm.com" \
-d "name=Sandbox" \
https://myvault.veevavault.com/api/v19.3/objects/sandboxResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 70701,
"url": "/api/v19.3/services/jobs/70701"
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: